@mixin app-application-theme($theme) {
	$primary: map-get($theme, primary);
	$warn: map-get($theme, warn);
	$accent: map-get($theme, accent);
	app-application {
		width: 100%;
		padding: 5px;
		overflow-x: hidden;
	}
	.supporting-documents-grid {
        .ag-body-viewport.ag-layout-auto-height .ag-center-cols-clipper, .ag-body-viewport.ag-layout-auto-height .ag-center-cols-container {
            min-height: 28px;
        }
        .ag-overlay-no-rows-wrapper.ag-layout-auto-height {
            padding-top: 0px;
            padding-bottom: 25px!important;
            align-items: flex-end;
        }
    }
	.application {
		margin-top: 25px !important;
		display: flex;
		flex-direction: column;
		background-color: mat-color($primary, 50);
		input {
			text-transform: uppercase;
        }
        .application-main-card {
			display: flex;
			flex-direction: column;
			margin-top: 7px;
			padding: 0px;
			background-color: mat-color($primary, 50);
			.mat-card-content {
				.mat-tab-label {
					background: #BDBDBD;
					border-radius: 10px 10px 0px 0px;
					margin-right: 10px;
					height: 30px !important;
					padding: 10px;
          			font-size: 1.1em;
          			margin-top: 10px;
				}
				.mat-tab-label-active {
					opacity: 1 !important;
					background-color: mat-color($primary);
					color: white;
				}
				.mat-tab-label-content {
					padding: 0!important;
					width: 100%;
				}
				.application-small-box {
					display: flex;
					align-items: center;
					justify-content: center;
					background: white;
					.table-filters-header {
						width: 100%;
						background-color: white;
						border: 1px solid #eaf0fb;
						.table-top-icons {
							mat-icon {
								padding: 5px;
							}
							mat-icon:hover {
								cursor: pointer;
								color: mat-color($warn);
							}
						}
					}
					.application-container {
						width: 100%;
						margin-right: 10px;
						margin-left: 10px;
						form {
							padding-left: 10px;
							padding-right: 10px;
							padding-bottom: 10px;
						}
					}
				}
			}
			.mat-form-field-flex>.mat-form-field-infix {
				padding: 0.4em 0px !important;
				height: 15px;
			}
			.mat-form-field-label-wrapper {
				top: -1.5em!important;
			}
			.mat-form-field-wrapper {
				padding-bottom: .9em;
			}
			.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
				transform: translateY(-1.1em) scale(.75);
				width: 133.33333%;
			}
			mat-form-field {
				vertical-align: middle;
			}
			mat-card {
				padding: 5px;
				border-radius: 0;
			}	
		}
		.content-main {
			display: flex;
			flex-flow: column wrap;
			margin-bottom: 5px!important;
		  	.content-sub 
			{
				display: flex;
				align-items: center;
				.content-sub-button-parent-left {
					order: 1;
					flex: 1 1 auto;
					justify-content: flex-start;
				}
				.content-sub-button-parent-right {
					order: 2;
					flex: 1 1 auto;
					justify-content: flex-end;
					text-align: right;
				}
         	}     
		}
		.report-spinner {
			display: flex;
			justify-content: center;
		}
		.supporting-documents-grid {
			.ag-body-viewport.ag-layout-auto-height .ag-center-cols-clipper, .ag-body-viewport.ag-layout-auto-height .ag-center-cols-container {
				min-height: 30px;
			}
			.ag-overlay-no-rows-wrapper.ag-layout-auto-height {
				padding-top: 0px;
				padding-bottom: 25px;
				align-items: flex-end;
			}
		}
	}
}
